#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Nov  1 13:40:56 2018

@author: lbresin
"""
import glob
import os
import sys

prefix_list=[i.replace('.siz','') for i in glob.glob('*o.siz')]
    
file_list=list()
for prefix in prefix_list:
    file_list+=glob.glob(prefix+'*')
file_list+= glob.glob('scratch_*') + glob.glob('*.txt') + glob.glob('*.vtu') + glob.glob('*.tp') + glob.glob('*.dat') + glob.glob('*.dbg')
file_set=set(file_list)

if sys.argv[1] == '-f':
  for file in file_set:
    os.remove(file)
else:
  print('Do you want to delete the following files \n')
  print(file_list)
  a=input('Yes: y, No: n  | ')
  if a.lower()=='y': 
    for file in file_set:
      os.remove(file)
